
Core - Bug # 37065

Status: Resolved Priority: Should have
Author: Thorsten Kahler Category: Database API
Created: 2012-05-10 Assigned To:
Updated: 2014-01-13 Due date:
TYPO3 Version: 4.5
PHP Version:
Complexity: medium
Is Regression:
Sprint Focus:
Subject: Workspace preview (FE) shows duplicate records
Description

When in workspace preview versioned records, which are selected by any relation (except uid or pid) are shown twice: the original
record and the versioned record.

This is caused by a wrong condition in t3lib_pageSelect::enableFields(): the selection on pid<>-1 should only be added if parameter 
$noVersionPreview is false. The parameter is only set to true to retrieve version overlays of specific records (see 
t3lib_pageSelect::getWorkspaceVersionOfRecord()).

Steps to reproduce:

    1. Install (and configure) EXT:blog_example
    2. create blog record (live)
    3. create blog post record (live)
    4. switch to any workspace
    5. edit blog post (workspace)
    6. open preview of page containing "list of blogs" plugin

This shows the blog created above containing two blog posts (in workspace frame).

Related issues:
related to Core - Bug # 37209: Workspace preview shows pages changes from all... Resolved 2012-05-16
related to Core - Task # 54948: swap workspace won't reset t3ver_wsid New 2014-01-13

Associated revisions
Revision a81a5816 - 2013-09-24 01:37 - Timo Webler

[BUGFIX] Don't show duplicates in workspace preview

Fixed workspace filters in case of workspace preview
in TYPO3\CMS\Frontend\Page\PageRepository::enableFields().

Additionally cleared up the corresponding comments.

Change-Id: I088928a88cb673f18f218ef691a6c528019317c0
Fixes: #37065
Releases: 6.2, 6.1, 6.0, 4.5
Reviewed-on: https://review.typo3.org/11127
Reviewed-by: Sascha Egerer
Tested-by: Sascha Egerer
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

Revision 3ac3429a - 2013-10-11 15:10 - Timo Webler

[BUGFIX] Don't show duplicates in workspace preview

Fixed workspace filters in case of workspace preview
in TYPO3\CMS\Frontend\Page\PageRepository::enableFields().

Additionally cleared up the corresponding comments.

Change-Id: I088928a88cb673f18f218ef691a6c528019317c0
Fixes: #37065
Releases: 6.2, 6.1, 6.0, 4.5
Reviewed-on: https://review.typo3.org/24008
Reviewed-by: Stefan Neufeind
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

Revision f561b99c - 2013-10-11 15:14 - Timo Webler

[BUGFIX] Don't show duplicates in workspace preview

Fixed workspace filters in case of workspace preview
in TYPO3\CMS\Frontend\Page\PageRepository::enableFields().

Additionally cleared up the corresponding comments.

Change-Id: I088928a88cb673f18f218ef691a6c528019317c0
Fixes: #37065
Releases: 6.2, 6.1, 6.0, 4.5
Reviewed-on: https://review.typo3.org/24009
Reviewed-by: Stefan Neufeind
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

Revision d114ddb3 - 2013-10-11 15:20 - Timo Webler

[BUGFIX] Don't show duplicates in workspace preview

Fixes workspace filter conditions in case of workspace preview in
t3lib_pageSelect::enableFields().

Additionally cleared up the corresponding comments.

Change-Id: I088928a88cb673f18f218ef691a6c528019317c0
Fixes: #37065
Releases: 6.2, 6.1, 6.0, 4.5
Reviewed-on: https://review.typo3.org/24075
Reviewed-by: Sascha Egerer
Tested-by: Sascha Egerer
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

History
#1 - 2012-05-10 15:04 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11127

#2 - 2012-05-10 17:28 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11127

#3 - 2012-05-10 20:07 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11127

#4 - 2012-05-29 23:36 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11127

#5 - 2012-07-12 07:12 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11127

#6 - 2012-10-03 12:58 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11127

#7 - 2012-10-03 13:02 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11127
#8 - 2013-02-06 18:11 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/11127

#9 - 2013-08-15 17:10 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/11127

#10 - 2013-09-18 16:09 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/11127

#11 - 2013-09-19 07:38 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/11127

#12 - 2013-09-24 01:37 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 has been pushed to the review server.
It is available at https://review.typo3.org/24008

#13 - 2013-09-24 01:38 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/24009

#14 - 2013-09-24 02:30 - Timo Webler
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a81a5816cf94ed873978d85dad25f6a3b7823b74.

#15 - 2013-09-26 18:30 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_4-5 has been pushed to the review server.
It is available at https://review.typo3.org/24075

#16 - 2013-10-11 15:30 - Timo Webler

2015-08-04 4/5

https://review.typo3.org/11127
https://review.typo3.org/11127
https://review.typo3.org/11127
https://review.typo3.org/11127
https://review.typo3.org/24008
https://review.typo3.org/24009
https://review.typo3.org/24075


- Status changed from Under Review to Resolved

Applied in changeset commit:d114ddb3f22a62c1c74e4db16e4f9883a877348c.

#17 - 2014-01-13 15:12 - Michael Voehringer

Found some problem where this patch break the preview in the workspace. I opened a followup bug to this ticket, see #54948
